> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /brreg/companies/sub_units

> List the sub-units (business establishments / underenheter) of a Norwegian legal entity by its parent organization number. Each sub-unit includes name, organization form, location and postal addresses, industry codes, employee count and startup date.

**Price:** 5 credits per 100 results



## OpenAPI

````yaml /openapi/company-registries.json post /api/brreg/companies/sub_units
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/brreg/companies/sub_units:
    post:
      tags:
        - /brreg
      summary: /brreg/companies/sub_units
      description: >-
        List the sub-units (business establishments / underenheter) of a
        Norwegian legal entity by its parent organization number. Each sub-unit
        includes name, organization form, location and postal addresses,
        industry codes, employee count and startup date.


        **Price:** 5 credits per 100 results
      operationId: __api_brreg_companies_sub_units_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BrregCompaniesSubUnitsPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/BrregSubUnit'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    BrregCompaniesSubUnitsPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        organization_number:
          type: string
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - organization_number
        - count
    BrregSubUnit:
      properties:
        '@type':
          type: string
          default: BrregSubUnit
        organization_number:
          type: string
        name:
          type: string
        parent_organization_number:
          anyOf:
            - type: string
            - type: 'null'
        organization_form:
          anyOf:
            - type: string
            - type: 'null'
        organization_form_description:
          anyOf:
            - type: string
            - type: 'null'
        registration_date:
          anyOf:
            - type: string
            - type: 'null'
        startup_date:
          anyOf:
            - type: string
            - type: 'null'
        deregistered_date:
          anyOf:
            - type: string
            - type: 'null'
        phone:
          anyOf:
            - type: string
            - type: 'null'
        mobile:
          anyOf:
            - type: string
            - type: 'null'
        email:
          anyOf:
            - type: string
            - type: 'null'
        homepage:
          anyOf:
            - type: string
            - type: 'null'
        employee_count:
          anyOf:
            - type: integer
            - type: 'null'
        has_registered_employee_count:
          type: boolean
          default: false
        location_address:
          anyOf:
            - $ref: '#/components/schemas/BrregAddress'
            - type: 'null'
        postal_address:
          anyOf:
            - $ref: '#/components/schemas/BrregAddress'
            - type: 'null'
        industry_code_1:
          anyOf:
            - $ref: '#/components/schemas/BrregIndustryCode'
            - type: 'null'
        industry_code_2:
          anyOf:
            - $ref: '#/components/schemas/BrregIndustryCode'
            - type: 'null'
        industry_code_3:
          anyOf:
            - $ref: '#/components/schemas/BrregIndustryCode'
            - type: 'null'
        auxiliary_code:
          anyOf:
            - $ref: '#/components/schemas/BrregIndustryCode'
            - type: 'null'
        historic_names:
          items:
            $ref: '#/components/schemas/BrregHistoricName'
          type: array
          default: []
        registered_in_vat_register:
          type: boolean
          default: false
      type: object
      required:
        - organization_number
        - name
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    BrregAddress:
      properties:
        '@type':
          type: string
          default: BrregAddress
        address:
          items:
            type: string
          type: array
          default: []
        postal_code:
          anyOf:
            - type: string
            - type: 'null'
        city:
          anyOf:
            - type: string
            - type: 'null'
        municipality:
          anyOf:
            - type: string
            - type: 'null'
        municipality_number:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        country_code:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    BrregIndustryCode:
      properties:
        '@type':
          type: string
          default: BrregIndustryCode
        code:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    BrregHistoricName:
      properties:
        '@type':
          type: string
          default: BrregHistoricName
        name:
          type: string
        from_date:
          anyOf:
            - type: string
            - type: 'null'
        to_date:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - name
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````